Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.jdo.annotations
Annotation Type Unique

    @Target(value={TYPE,FIELD,METHOD})
    @Retention(value=RUNTIME)
    public @interface Unique

Annotation for a database unique constraint. Used for database schema generation to create unique constraints. Also used to reorder database operations when flushing changes to avoid unique constraint violations. Corresponds to the xml element "unique".

Since:
  2.1
Version:
  2.1

Optional Element Summary
`Column[]` | `columns` Columns that compose this unique constraint.
`java.lang.String` | `deferred` Whether this unique constraint is deferred until commit.
`java.lang.String[]` | `members` Member (field and property) names that compose this unique constraint.
`java.lang.String` | `name` Name of the unique constraint.
`java.lang.String` | `table` Table for the unique constraint.

### name

    public abstract java.lang.String name

  Name of the unique constraint.

  Returns:
    the name of the unique constraint
  Default:
    ""

### table

    public abstract java.lang.String table

  Table for the unique constraint. This is needed iff annotating a type where this unique constraint is not for the primary table for the persistent class or interface.

  Returns:
    the table on which the unique constraint is defined
  Default:
    ""

### deferred

    public abstract java.lang.String deferred

  Whether this unique constraint is deferred until commit.

  Returns:
    whether this unique constraint is deferred until commit
  Default:
    ""

### members

    public abstract java.lang.String[] members

  Member (field and property) names that compose this unique constraint.

  Returns:
    member names that compose this unique constraint
  Default:
    {}

### columns

    public abstract Column[] columns

  Columns that compose this unique constraint.

  Returns:
    columns that compose this unique constraint
  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.